From 2ae8d184d5e191604c76c64920c6c2c188e2a10a Mon Sep 17 00:00:00 2001
From: miwu04 <mail@alanlin.icu>
Date: Tue, 17 Dec 2024 00:01:33 +0800
Subject: [PATCH 2/6] Drop clash-meta-alpha support

---
 src/renderer/src/pages/mihomo.tsx | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/src/renderer/src/pages/mihomo.tsx b/src/renderer/src/pages/mihomo.tsx
index 3435e03..613bf0d 100644
--- a/src/renderer/src/pages/mihomo.tsx
+++ b/src/renderer/src/pages/mihomo.tsx
@@ -21,13 +21,12 @@ import { useTranslation } from 'react-i18next'
 
 const CoreMap = {
   mihomo: 'mihomo.stableVersion',
-  'mihomo-alpha': 'mihomo.alphaVersion'
 }
 
 const Mihomo: React.FC = () => {
   const { t } = useTranslation()
   const { appConfig, patchAppConfig } = useAppConfig()
-  const { 
+  const {
     core = 'mihomo',
     maxLogDays = 7,
     sysProxy,
@@ -141,7 +140,6 @@ const Mihomo: React.FC = () => {
               }}
             >
               <SelectItem key="mihomo">{t(CoreMap['mihomo'])}</SelectItem>
-              <SelectItem key="mihomo-alpha">{t(CoreMap['mihomo-alpha'])}</SelectItem>
             </Select>
           </SettingItem>
           <SettingItem title={t('mihomo.mixedPort')} divider>
-- 
2.48.1

